Patch Flow Execution Status - SuperAI Flows
Patch Flow Execution Status
cURL
curl --request PATCH \
--url https://flows.super.ai/api/flow-executions/{flow_execution_id}/status \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://flows.super.ai/api/flow-executions/{flow_execution_id}/status"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.patch(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/flow-executions/{flow_execution_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
{
"created_at": "2023-11-07T05:31:56Z",
"flow_id": "550e8400-e29b-41d4-a716-446655440000",
"flow_version": 3,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"file_key": "documents/abc123.pdf",
"metadata": {
"priority": "high"
}
},
"modified_by": "<string>",
"organization_id": "660e8400-e29b-41d4-a716-446655440001",
"status": "running",
"updated_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Path Parameters
flow_execution_id: required, string
Query Parameters
Response Fields
- created_at: string
- flow_id: string
- flow_version: integer
- id: string
- input: object
- modified_by: string
- organization_id: string
- status: string
- updated_at: string